%define docdir %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

Name:		QuantLib-SWIG
Version:	1.5
Release:	1%{?dist}
Summary:	Bindings for QuantLib package
License:	BSD
Group:		System Environment/Libraries
URL:		http://www.quantlib.org
Source0:	http://download.sourceforge.net/quantlib/QuantLib-SWIG-%{version}.tar.gz
BuildRequires:	QuantLib-devel = %{version}-%{release}
BuildRequires:	swig

%description
QuantLib is a free/open-source library for modeling, trading, and 
risk management in real-life. This package contains binding of the
library to other language

%package -n python3-quantlib
Summary:	Python3 bindings for QuantLib 
Group:		Development/Libraries
Requires:	QuantLib{?_isa} = %{version}
BuildRequires:	python3-devel

%description -n python3-quantlib
Static libraries and headers for QuantLib.

%package -n ruby-quantlib
Summary:	Ruby bindings for QuantLib
Group:		Development/Libraries
Requires:	QuantLib{?_isa} = %{version}
BuildRequires:	ruby-devel

%prep
%setup -q
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%configure \
	--disable-csharp \
	--disable-java \
	--disable-r \
	--disable-ocaml \
	--disable-perl \
	--disable-mzscheme \
	--disable-ruby \
	--disable-guile

make %{?_smp_mflags}
pushd Python
LDFLAGS=" -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags" %{__python3} setup.py wrap build
popd

%install
#make DESTDIR=$RPM_BUILD_ROOT install
pushd Python
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n python3-quantlib
%doc LICENSE.TXT
%{python3_sitearch}/QuantLib/*
%{python3_sitearch}/*.egg-info


%changelog
* Sat May 02 2015 Šimon Lukašík <slukasik@redhat.com> - 1.5-1
- initial bindings package

